---
- name: Install lspci
  become: true
  package:
    name:
    - pciutils
  register: task_result
  until: task_result is not failed
  retries: "{{ network_error_retries }}"
  delay: "{{ network_error_delay }}"

- name: Detect (v)GPU presence
  # The command says "give me all devices by nvidia (vendor ID 10de) that you can find on the node"
  # Hence it (a) doesn't care about other GPU vendors nor (b) whether the device is actually a GPU.
  command: "lspci -d 10de:"
  changed_when: false
  register: gpu_test

- name: Set gpu fact
  set_fact:
    node_has_gpu: "{{ ((gpu_test.stdout | length) > 0) | bool }}"
...
